Loading...
Searching...
No Matches
midl.c File Reference

ldap bdb back-end ID List functions More...

`#include <limits.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include "midl.h"`

## Macros

#define | CMP(x, y)
#define | SMALL 8
#define | MIDL_SWAP(a, b)

## Functions

unsigned | mdb_midl_search (MDB_IDL ids, MDB_ID id)
MDB_IDL | mdb_midl_alloc (int num)
void | mdb_midl_free (MDB_IDL ids)
void | mdb_midl_shrink (MDB_IDL *idp)
static int | mdb_midl_grow (MDB_IDL *idp, int num)
int | mdb_midl_need (MDB_IDL *idp, unsigned num)
int | mdb_midl_append (MDB_IDL *idp, MDB_ID id)
int | mdb_midl_append_list (MDB_IDL *idp, MDB_IDL app)
int | mdb_midl_append_range (MDB_IDL *idp, MDB_ID id, unsigned n)
void | mdb_midl_xmerge (MDB_IDL idl, MDB_IDL merge)
void | mdb_midl_sort (MDB_IDL ids)
unsigned | mdb_mid2l_search (MDB_ID2L ids, MDB_ID id)
int | mdb_mid2l_insert (MDB_ID2L ids, MDB_ID2 *id)
int | mdb_mid2l_append (MDB_ID2L ids, MDB_ID2 *id)

## Detailed Description

ldap bdb back-end ID List functions